<div class="app" *ngIf="userLoaded">

  <app-header (onSidebarToggle)="toggleOffCanvas" [offCanvas]="offCanvas"></app-header>

  <div class="container-fluid">
    <div class="row flex-xl-nowrap">
      <app-sidebar class="col-12 col-md-3 col-xl-2 app-sidebar"
                   [routes]="mRoutes"
                   [modules]="userService.user.modules"
                   [offCanvas]="offCanvas"></app-sidebar>

      <main class="col-12 col-md-9 col-xl-10 py-md-3 pl-md-3" role="main">
        <router-outlet></router-outlet>
      </main>
    </div>
  </div>

</div>

<div class="app" *ngIf="!userLoaded">
  <app-load-spinner></app-load-spinner>
</div>
